<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
	
	<sql id="condition_Nhywfwsgl">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwsbh'>
			(fwsbh like '%$LIKEfwsbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwsbh'>
			(fwsbh = #fwsbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwsmc'>
			(fwsmc like '%$LIKEfwsmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwsmc'>
			(fwsmc = #fwsmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwsqc'>
			(fwsqc like '%$LIKEfwsqc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwsqc'>
			(fwsqc = #fwsqc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEswfzr'>
			(swfzr like '%$LIKEswfzr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='swfzr'>
			(swfzr = #swfzr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEswfzrdh'>
			(swfzrdh like '%$LIKEswfzrdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='swfzrdh'>
			(swfzrdh = #swfzrdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjsfzr'>
			(jsfzr like '%$LIKEjsfzr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jsfzr'>
			(jsfzr = #jsfzr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjsfzrdh'>
			(jsfzrdh like '%$LIKEjsfzrdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jsfzrdh'>
			(jsfzrdh = #jsfzrdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwyxq'>
			(fwyxq like '%$LIKEfwyxq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwyxq'>
			(fwyxq = #fwyxq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwfw'>
			(fwfw like '%$LIKEfwfw$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwfw'>
			(fwfw = #fwfw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwcn'>
			(fwcn like '%$LIKEfwcn$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwcn'>
			(fwcn = #fwcn# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbfwhtyd'>
			(wbfwhtyd like '%$LIKEwbfwhtyd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbfwhtyd'>
			(wbfwhtyd = #wbfwhtyd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhtfjdz'>
			(htfjdz like '%$LIKEhtfjdz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='htfjdz'>
			(htfjdz = #htfjdz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywfwsgl" parameterClass="java.util.Map">
		insert into 
		nhywfwsgl(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsbh'>fwsbh</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsmc'>fwsmc</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsqc'>fwsqc</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzr'>swfzr</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzrdh'>swfzrdh</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzr'>jsfzr</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzrdh'>jsfzrdh</isNotEmpty>
			<isNotEmpty prepend=',' property='fwyxq'>fwyxq</isNotEmpty>
			<isNotEmpty prepend=',' property='fwfw'>fwfw</isNotEmpty>
			<isNotEmpty prepend=',' property='fwcn'>fwcn</isNotEmpty>
			<isNotEmpty prepend=',' property='wbfwhtyd'>wbfwhtyd</isNotEmpty>
			<isNotEmpty prepend=',' property='htfjdz'>htfjdz</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsbh'>#fwsbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsmc'>#fwsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsqc'>#fwsqc#</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzr'>#swfzr#</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzrdh'>#swfzrdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzr'>#jsfzr#</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzrdh'>#jsfzrdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwyxq'>#fwyxq#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwfw'>#fwfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwcn'>#fwcn#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbfwhtyd'>#wbfwhtyd#</isNotEmpty>
			<isNotEmpty prepend=',' property='htfjdz'>#htfjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywfwsgl" parameterClass="java.util.Map">
		update nhywfwsgl 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='fwsbh'>fwsbh=#fwsbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsmc'>fwsmc=#fwsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwsqc'>fwsqc=#fwsqc#</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzr'>swfzr=#swfzr#</isNotEmpty>
			<isNotEmpty prepend=',' property='swfzrdh'>swfzrdh=#swfzrdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzr'>jsfzr=#jsfzr#</isNotEmpty>
			<isNotEmpty prepend=',' property='jsfzrdh'>jsfzrdh=#jsfzrdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwyxq'>fwyxq=#fwyxq#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwfw'>fwfw=#fwfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwcn'>fwcn=#fwcn#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbfwhtyd'>wbfwhtyd=#wbfwhtyd#</isNotEmpty>
			<isNotEmpty prepend=',' property='htfjdz'>htfjdz=#htfjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwsbh'> fwsbh = #XGTJfwsbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwsmc'> fwsmc = #XGTJfwsmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwsqc'> fwsqc = #XGTJfwsqc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJswfzr'> swfzr = #XGTJswfzr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJswfzrdh'> swfzrdh = #XGTJswfzrdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjsfzr'> jsfzr = #XGTJjsfzr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjsfzrdh'> jsfzrdh = #XGTJjsfzrdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwyxq'> fwyxq = #XGTJfwyxq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwfw'> fwfw = #XGTJfwfw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwcn'> fwcn = #XGTJfwcn# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwbfwhtyd'> wbfwhtyd = #XGTJwbfwhtyd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhtfjdz'> htfjdz = #XGTJhtfjdz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywfwsgl" parameterClass="java.util.Map">
		delete from nhywfwsgl 
		<include refid="condition_Nhywfwsgl"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywfwsgl" parameterClass="java.util.Map">
		delete from nhywfwsgl 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywfwsgl" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,fwsbh,fwsmc,fwsqc,swfzr,swfzrdh,jsfzr,jsfzrdh,fwyxq,fwfw,fwcn,wbfwhtyd,htfjdz,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from nhywfwsgl 
		<include refid="condition_Nhywfwsgl"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywfwsgl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywfwsgl 
		<include refid="condition_Nhywfwsgl"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywfwsgl" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywfwsgl(
			 <![CDATA[ 
				xh,fwsbh,fwsmc,fwsqc,swfzr,swfzrdh,jsfzr,jsfzrdh,fwyxq,fwfw,fwcn,wbfwhtyd,htfjdz,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].fwsbh#,#list[].fwsmc#,#list[].fwsqc#,#list[].swfzr#,#list[].swfzrdh#,#list[].jsfzr#,#list[].jsfzrdh#,#list[].fwyxq#,#list[].fwfw#,#list[].fwcn#,#list[].wbfwhtyd#,#list[].htfjdz#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











